Bug 837881 - [abrt] gnome-shell-3.4.1-5.fc17: meta_window_get_outer_rect: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.4.1-5.fc17: meta_window_get_outer_rect: Process /usr/bin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:bd256ad185430f4e2a4b78eeb94...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 13:06 EDT by dobs
Modified: 2014-02-05 07:01 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:01:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (116.15 KB, text/plain)
2012-07-05 13:06 EDT, dobs
no flags Details
File: dso_list (21.89 KB, text/plain)
2012-07-05 13:06 EDT, dobs
no flags Details
File: var_log_messages (5.98 KB, text/plain)
2012-07-05 13:06 EDT, dobs
no flags Details
File: backtrace (52.02 KB, text/plain)
2012-07-05 13:06 EDT, dobs
no flags Details

  None (edit)
Description dobs 2012-07-05 13:06:20 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
comment:        Run teamviawer and make print screen
crash_function: meta_window_get_outer_rect
executable:     /usr/bin/gnome-shell
kernel:         3.4.4-3.fc17.x86_64
pid:            1318
pwd:            /home/dobs
time:           ср, 04-лип-2012 23:05:16 +0300
uid:            1000
username:       dobs

backtrace:      Text file, 53264 bytes
dso_list:       Text file, 22418 bytes
maps:           Text file, 118942 bytes
var_log_messages: Text file, 6124 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/dobs/2

core_backtrace:
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x679d8 meta_window_get_outer_rect libmutter.so.0 -
:fb339102a1f8532c110ac97acad8b87527bd1cfb 0x3c435 shell_screenshot_screenshot_window libgnome-shell.so -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x22ead - libgjs.so.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x243d3 - libgjs.so.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd781e - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xc1840 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7632 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xab75d - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xcb946 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7632 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7c64 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0x4d2fe JS_CallFunctionValue libmozjs185.so.1.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x1650c gjs_call_function_value libgjs.so.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x213ef gjs_closure_invoke libgjs.so.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x2ce69 - libgjs.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xd1d06 - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xba385 - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x540b7 meta_run libmutter.so.0 -
:05792ba8e5037b0a798ce87d3331dd3d455a5624 0x1c47 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=wifi.ua-top.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=54c2ea0089d84b3bb4aca5d100000009-1341337622.676000-2060363136
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/dobs/keyring-59Mpx7
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=dobs
:USERNAME=dobs
:MAIL=/var/spool/mail/dobs
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/dobs/.local/bin:/home/dobs/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dobs
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1083
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/dobs
:SHLVL=1
:LOGNAME=dobs
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-kwponDmSyU,guid=0bea8e575f37ed93f03e7a360000001c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/dobs
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-dobs-ZkSTIO/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1087,unix/unix:/tmp/.ICE-unix/1087
:GPG_AGENT_INFO=/run/user/dobs/keyring-59Mpx7/gpg:0:1
:SSH_AUTH_SOCK=/run/user/dobs/keyring-59Mpx7/ssh
:LC_TIME=uk_UA.utf8
:LC_NUMERIC=uk_UA.utf8
:LC_MONETARY=uk_UA.utf8
:LC_MEASUREMENT=uk_UA.utf8
:DESKTOP_AUTOSTART_ID=102c6b0c82e760c0e7134133762359465600000010870000

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31470                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31470                31470                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/dobs/.xsession-errors
:pos:	465618
:flags:	0102002
:2:/home/dobs/.xsession-errors
:pos:	465618
:flags:	0102002
:3:pipe:[22362]
:pos:	0
:flags:	04000
:4:pipe:[22362]
:pos:	0
:flags:	01
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[22363]
:pos:	0
:flags:	02004002
:7:socket:[22366]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	0100002
:9:socket:[22673]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:socket:[22674]
:pos:	0
:flags:	02004002
:14:pipe:[22377]
:pos:	0
:flags:	02004000
:15:pipe:[22377]
:pos:	0
:flags:	02004001
:16:socket:[22381]
:pos:	0
:flags:	02004002
:17:socket:[22383]
:pos:	0
:flags:	02000002
:18:/dev/urandom
:pos:	0
:flags:	02100000
:19:socket:[22968]
:pos:	0
:flags:	02000002
:20:anon_inode:inotify
:pos:	0
:flags:	02004000
:21:/tmp/ffilEC1bO (deleted)
:pos:	0
:flags:	0100002
:22:socket:[24307]
:pos:	0
:flags:	02004002
:23:socket:[24342]
:pos:	0
:flags:	02004002
:24:socket:[24384]
:pos:	0
:flags:	02004002
:25:socket:[27206]
:pos:	0
:flags:	02004002
:26:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:27:/dev/rfkill
:pos:	0
:flags:	0104002
:28:pipe:[24311]
:pos:	0
:flags:	01
:29:pipe:[32437]
:pos:	0
:flags:	02004000
:30:socket:[31074]
:pos:	0
:flags:	02004002
:31:pipe:[32437]
:pos:	0
:flags:	02004001
:32:socket:[32480]
:pos:	0
:flags:	02004002
:33:/home/dobs/.cache/event-sound-cache.tdb.54c2ea0089d84b3bb4aca5d100000009.x86_64-redhat-linux-gnu
:pos:	168
:flags:	02100002
:34:anon_inode:inotify
:pos:	0
:flags:	02004000
:35:socket:[31581]
:pos:	0
:flags:	02004002
:36:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
Comment 1 dobs 2012-07-05 13:06:24 EDT
Created attachment 596445 [details]
File: maps
Comment 2 dobs 2012-07-05 13:06:27 EDT
Created attachment 596446 [details]
File: dso_list
Comment 3 dobs 2012-07-05 13:06:29 EDT
Created attachment 596447 [details]
File: var_log_messages
Comment 4 dobs 2012-07-05 13:06:31 EDT
Created attachment 596448 [details]
File: backtrace
Comment 5 Kevin Burrus 2012-07-18 17:31:00 EDT
When attempting to take a screenshot using default "screenshot" app in Fedora Gnome 3, I selected to "Grab Current Window" with a delay of "5 seconds" in order to take a snapshot of the "Applications" listings. When Snapshot activated, it instead took a snapshot of the desktop background with no activities menu open, then it crashed.

backtrace_rating: 3
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Chava Hdez O 2012-08-21 23:15:55 EDT
The screen went blank for a few seconds when I wanted to take a snapshot with the ALT key to integrated chat window GNOME. After a few seconds the screen back to normal, but the image of snapshot didn't capture the screenshot of the chat window integrated.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Mat Booth 2013-01-29 07:27:53 EST
I experienced this on Fedora 18 with gnome-shell-3.6.2-6.fc18.x86_64

Holding Alt+PrntScrn to take a screenshot of the focussed window when the crash occurred.

Focussed window was an Eclipse quick-fix pop-up.
Comment 8 purpleidea 2013-04-17 09:41:48 EDT
I got here after GNOME Shell froze. I had to do a CONTROL+ALT+Backspace to "fix it" and then this was what ABRT decided the problem was. I imagine it's unrelated to the freeze though. No idea how to debug this kind of GNOME shell problem. It happens fairly often causing data loss.
Comment 9 Fedora End Of Life 2013-12-21 03:39:15 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 07:01:42 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.